Users
Retrieve user settings
Retrieve user preferences without exposing stored credentials.
GET
/
v1
/
users
/
{userId}
/
settings
TypeScript SDK
import Tembo from '@tembo-io/sdk';
const client = new Tembo();
const setting = await client.users.settings.retrieve('userId');curl --request GET \
--url https://api.tembo.io/v1/users/{userId}/settings \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tembo.io/v1/users/{userId}/settings"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tembo.io/v1/users/{userId}/settings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"autoRestartVm": true,
"defaultProjectId": "<string>",
"gpgKey": "<string>",
"includeTemboCommitAttribution": true,
"desktopNotificationsEnabled": true,
"desktopNotificationPreferences": {
"awaitingApproval": true,
"pullRequestOpened": true,
"pullRequestReviewRequested": true
},
"appearancePreferences": {
"appTheme": "light",
"accentTheme": {
"themeId": "<string>",
"customSurface": "<string>",
"customAccent": "<string>",
"customIntensity": 123,
"systemLight": "<string>",
"systemDark": "<string>"
}
},
"appSidebarPreferences": {
"open": true,
"sessionOwnerScope": "mine",
"sessionSortBy": "createdAt",
"sessionOrganization": "list",
"showArchivedSessions": true,
"width": 123,
"rightSidebar": {}
},
"diffPreferences": {
"style": "unified",
"indicators": "classic",
"overflow": "scroll",
"showLineNumbers": true,
"expandUnchanged": true,
"showFileTree": true,
"fileTreePosition": "left",
"fileTreeView": "list",
"lightTheme": "<string>",
"darkTheme": "<string>"
},
"dashboardPreferences": {
"taskFilters": {
"statusFilter": [
"<string>"
],
"sortBy": "createdAt",
"searchQuery": "<string>",
"integrationType": [
"<string>"
],
"externalId": "<string>",
"projectFilter": [
"<string>"
],
"authorFilter": [
"<string>"
],
"prStatusFilter": [
"<string>"
],
"automationFilter": [
"<string>"
]
}
},
"composerPreferences": {
"lastSelectedRepositories": [
{
"id": "<string>",
"name": "<string>",
"type": "<string>"
}
]
},
"reviewPreferences": {
"fileSortMode": "tree",
"excludedFilePatterns": [
"<string>"
],
"sections": {},
"hideBotComments": true,
"layout": {
"focusChatHeight": 123,
"activeTab": "<string>",
"activeViewMode": "<string>",
"focusChatOpen": true,
"focusMode": true,
"leftDesktopSidebarOpen": true,
"leftDesktopSidebarWidth": 123,
"rightDesktopSidebarOpen": true,
"rightDesktopSidebarWidth": 123
}
},
"diffLightTheme": "<string>",
"diffDarkTheme": "<string>",
"defaultAgent": "<string>",
"followUpBehavior": "queue",
"codexConnected": true,
"superGrokConnected": true
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Required string length:
1 - 255Response
Retrieve user settings
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pattern:
^[^:]+:[^:]+(?::[^:]+)?$Available options:
queue, steer Was this page helpful?
⌘I
TypeScript SDK
import Tembo from '@tembo-io/sdk';
const client = new Tembo();
const setting = await client.users.settings.retrieve('userId');